# Define Mandrake Linux version we are building for
%define mdkversion %(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)

%define sysmesa			1
%define version			6.1
%define mesa_ver		6
%if %{sysmesa}
%define	name			Mesa
%else
%define	name			Mesa%{mesa_ver}
%endif

%define mdkrel			1mdk
#define release		0.%{cvsversion}.%{mdkrel}
%if %{mdkversion} == 1000
%define release		0.100.%{mdkrel}
%else
%define release		%{mdkrel}
%endif

%define glx_ver			20031008
%define glx_mesa_version 	3.2.1
%define mesa_so_version 	1.5.060001

%define glname			%{name}GL
%define gluname			%{name}GLU
%define glutname		%{name}glut
%define glmajor			1
%define glumajor		1
%define glutmajor		3
%define libglname		%mklibname %{glname} %{glmajor}
%define libgluname		%mklibname %{gluname} %{glumajor}
%define libglutname		%mklibname %{glutname} %{glutmajor}


%define prefix		/usr/X11R6
%define libdir		%{prefix}/%{_lib}

%define utah_glx	1
# (sb) disable utah_glx by arch
%ifarch alpha sparc sparc64 ppc ia64 x86_64
%define utah_glx 	0
%endif
%define provide_conf	1
%define build_glu 	1
%define build_glut	1

%if ! %{sysmesa}
# (sb) disable utah_glx by default - let Mesa5 provide it
%define utah_glx	0
# (sb) let Mesa5 provide the conf file
%define provide_conf	0
# (sb) no GLU
%define build_glu 	0
# (sb) no glut
%define build_glut	0
%endif

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		OpenGL 1.4 compatible 3D graphics library
Group:			System/Libraries
BuildRequires:		XFree86-devel autoconf2.5 tcl texinfo
BuildRequires:		lesstif-devel
BuildRequires:		binutils >= 2.9.1.0.19a
BuildRequires:		libstdc++-devel >= 3.2
BuildRequires:		chrpath
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
URL:			http://www.mesa3d.org

Source:			ftp://ftp.mesa3d.org/pub/mesa/Mesa-%{version}.tar.bz2
Source1:		ftp://ftp.mesa3d.org/pub/mesa/MesaDemos-%{version}.tar.bz2
Source2:		http://utah-glx.sourceforge.net/glx-xf4-%{glx_ver}.tar.bz2
Source4:		%{name}-icons.tar.bz2
Source5:		ftp://ftp.mesa3d.org/pub/mesa/MesaLib-%{glx_mesa_version}.tar.bz2

Patch1:			Mesa-4.0.3-remove-rpath.patch.bz2
Patch4:			Mesa-3.5-opt.patch.bz2
Patch5:			Mesa-4.0.2-GLU-libsupc++.patch.bz2
Patch10:		glx-rename_glx_so.patch.bz2
Patch11:		glx-fixes.patch.bz2
Patch13:		glx-ARB.patch.bz2
Patch15:		Mesa-5.0.1-gcc3.3.patch.bz2
Patch16:		Mesa-6.0.1-gcc34.patch.bz2

License:		MIT
Prefix:			%{prefix}
Requires:		%{libglname} = %{version}-%{release}
Provides:		hackMesa = %{version}
Obsoletes:		hackMesa <= %{version}

%package -n %{libglname}
Summary:	Files for Mesa (GL and GLX libs)
Group:		System/Libraries

%if %{build_glu}
%package -n %{libgluname}
Summary:	Files for Mesa (GLU libs)
Group:		System/Libraries

%package -n %{libgluname}-devel
Summary:	Development files for GLU libs
Group:		Development/C
Requires:	%{libgluname} = %{version}-%{release}
Provides:	lib%{gluname}-devel = %{version}-%{release}
Provides:	%{gluname}-devel = %{version}-%{release}
%endif

%if %{build_glut}
%package -n %{libglutname}
Summary:	Files for Mesa (glut libs)
Group:		System/Libraries
Requires:	%{libgluname} = %{version}-%{release}
Provides:	Mesa-common = %{version}-%{release} hackMesa-common = %{version}
Obsoletes:	Mesa-common <= %{version} hackMesa-common <= %{version}

%package -n %{libglutname}-devel
Summary:	Development files for glut libs
Group:		Development/C
Requires:	%{libglutname} = %{version}-%{release} %{libgluname}-devel = %{version}-%{release}
Provides:	lib%{glutname}-devel = %{version}-%{release} Mesa-common-devel = %{version}-%{release} hackMesa-common-devel = %{version}
Obsoletes:	Mesa-common-devel <= %{version} hackMesa-common-devel <= %{version}
%endif

%package demos
Summary:	Demos for Mesa (OpenGL compatible 3D lib)
Group:		Graphics
Requires:	%{name} >= %{version} drakxtools
Provides:	hackMesa-demos = %{version}
Obsoletes:	hackMesa-demos <= %{version}

%description
Mesa is an OpenGL 1.4 compatible 3D graphics library.

%description -n %{libglname}
Mesa is an OpenGL 1.4 compatible 3D graphics library.
GL and GLX parts.

%if %{build_glu}
%description -n %{libgluname}
Mesa is an OpenGL 1.4 compatible 3D graphics library.
GLU parts.

%description -n %{libgluname}-devel
Mesa is an OpenGL 1.4 compatible 3D graphics library.
GLU parts.

This package contains the headers needed to compile Mesa programs.
%endif

%if %{build_glut}
%description -n %{libglutname}
Mesa is an OpenGL 1.4 compatible 3D graphics library.
glut and GLU parts.

%description -n %{libglutname}-devel
Mesa is an OpenGL 1.4 compatible 3D graphics library.
glut parts.

This package contains the headers needed to compile Mesa programs.
%endif

%description demos
Mesa is an OpenGL 1.4 compatible 3D graphics library.

This package contains some demo programs for the Mesa library.

%prep
%setup -q -n Mesa-%{version}

#Mesa-demos
tar xfj %{SOURCE1} -C ../

# utah_glx
tar xfj %{SOURCE2}

# Mesa to use with utah_glx (while waiting for support of 5.0 or above)
tar xfj %{SOURCE5} -C glx-xf4/

%ifnarch alpha sparc sparc64 ppc x86_64
# patch to rename glx.so to utah_glx.so
%patch10 -p1 -b .rename_glx
# patch to fix compilation of cvs trunk
%patch11 -p1 -b .fpons
%patch13 -p1 -b .glxARB
%endif
%patch15 -p0
%patch16 -p1 -b .gcc34

perl -pi -e "s/-O3/$RPM_OPT_FLAGS/" Make-config

%if %{sysmesa}
pushd progs/demos && {
        for i in *.c; do 
        perl -pi -e "s|\.\./images/|%{libdir}/mesa-demos-data/|" $i ; 
        done 
        perl -pi -e 's|"isosurf.dat"|"%{libdir}/mesa-demos-data/isosurf.dat"|' isosurf.c
        perl -pi -e 's|"terrain.dat"|"%{libdir}/mesa-demos-data/terrain.dat"|' terrain.c
        perl -pi -e 's|"geartrain.dat"|"%{libdir}/mesa-demos-data/geartrain.dat"|' geartrain.c
} && popd
%else
pushd progs/demos && {
        for i in *.c; do 
        perl -pi -e "s|\.\./images/|%{libdir}/mesa-demos-data%{mesa_ver}/|" $i ; 
        done 
        perl -pi -e 's|"isosurf.dat"|"%{libdir}/mesa-demos-data%{mesa_ver}/isosurf.dat"|' isosurf.c
        perl -pi -e 's|"terrain.dat"|"%{libdir}/mesa-demos-data%{mesa_ver}/terrain.dat"|' terrain.c
        perl -pi -e 's|"geartrain.dat"|"%{libdir}/mesa-demos-data%{mesa_ver}/geartrain.dat"|' geartrain.c
} && popd
%endif

%build
%ifarch i386 i486 i586 i686 k6 athlon
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG" CXXFLAGS=$RPM_OPT_FLAGS
make linux-x86 LD_RUN_PATH=/usr/X11R6/lib
%endif

%ifarch alpha
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG" CXXFLAGS=$RPM_OPT_FLAGS \
make linux-alpha LD_RUN_PATH=/usr/X11R6/lib
%endif

%ifarch ppc
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG" CXXFLAGS=$RPM_OPT_FLAGS \
make linux-ppc LD_RUN_PATH=/usr/X11R6/lib
%endif

# (gb) Absolutely necessary, at least on those arches. Or patch better.
%ifarch x86_64 sparc64 ppc64
CONFIGURE_XPATH="--x-includes=%{prefix}/include --x-libraries=%{prefix}/%{_lib}"
%endif

%ifnarch %{ix86} alpha ppc
make linux LD_RUN_PATH=/usr/X11R6/lib
%endif

# Skip utah_glx for alpha - (fg) also skip it for sparc - (jb) also added skip
# for ppc - (fg) And for ia64 as well - (gb) on x86_64 as well

%if !%{utah_glx}
	echo 'Architecture is not one of x86, skipping utah_glx'
%else
cd glx-xf4

%ifarch i386 i486
# (Dadou) Don't remove --host. It's needed if you build on arch <> than --target
# (configuration is very bugged)
# (Dadou) Supports for mmx and 3dnow are useless for i386 and i486
CFLAGS=$RPM_OPT_FLAGS ./autogen.sh	--enable-tnt \
					--enable-mga \
					--enable-s3savage \
					--disable-mach64 \
					--disable-i810 \
					--disable-s3virge \
					--disable-sis6326 \
					--with-mesa=Mesa-3.2.1 \
					--disable-mtrr \
					--disable-agp \
					--prefix=%{prefix} \
					--sysconfdir=/etc/X11 \
					--target=%{_target_cpu}-mandrake-linux-gnu \
					--host=%{_target_cpu}-mandrake-linux-gnu \
					--without-x86-asm \
					--without-mmx-asm \
					--without-3dnow-asm
%else
CFLAGS=$RPM_OPT_FLAGS ./autogen.sh	--enable-tnt \
					--enable-mga \
					--enable-s3savage \
					--disable-mach64 \
					--disable-i810 \
					--disable-s3virge \
					--disable-sis6326 \
					--with-mesa=Mesa-3.2.1 \
    					--enable-mtrr \
					--enable-agp \
    					--prefix=%{prefix} \
					--with-moduledir=%{libdir}/modules \
    					--sysconfdir=/etc/X11 \
    					--target=%{_target_cpu}-mandrake-linux-gnu \
					--host=%{_target_cpu}-mandrake-linux-gnu \
					--without-x86-asm \
					--without-mmx-asm \
					--without-3dnow-asm
%endif
# Arg docs sux ((Dadou) "are not OK", it's better ;)
pushd docs
cat <<EOF > config.cache
ac_cv_path_install=${ac_cv_path_install='/usr/bin/install -c'}
ac_cv_prog_CP=${ac_cv_prog_CP='cp -f'}
ac_cv_prog_LN_S=${ac_cv_prog_LN_S='ln -s'}
ac_cv_prog_MKDIR=${ac_cv_prog_MKDIR='mkdir -p'}
ac_cv_prog_MV=${ac_cv_prog_MV='mv -f'}
ac_cv_prog_RM=${ac_cv_prog_RM='rm -f'}
ac_cv_prog_have_dvips=${ac_cv_prog_have_dvips=no}
ac_cv_prog_have_jade=${ac_cv_prog_have_jade=no}
ac_cv_prog_have_jadetex=${ac_cv_prog_have_jadetex=no}
ac_cv_prog_have_lynx=${ac_cv_prog_have_lynx=no}
ac_cv_prog_have_ps2pdf=${ac_cv_prog_have_ps2pdf=no}
ac_cv_prog_make_make_set=${ac_cv_prog_make_make_set=yes}
EOF
./configure --enable-text
popd

make
cd ..
%endif # Skip glx for Alpha

%install
rm -rf $RPM_BUILD_ROOT
%if %{sysmesa}
mkdir -p $RPM_BUILD_ROOT%{libdir}/mesa-demos-data
%else
mkdir -p $RPM_BUILD_ROOT%{libdir}/mesa-demos-data%{mesa_ver}
%endif
mkdir -p $RPM_BUILD_ROOT/usr/include
mkdir -p $RPM_BUILD_ROOT%{prefix}/etc
mkdir -p $RPM_BUILD_ROOT%{prefix}/include/GL
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11

# (sb) no more make install
cp -pd lib/* $RPM_BUILD_ROOT%{libdir}
%if %{build_glu}
cp include/GL/glu.h $RPM_BUILD_ROOT%{prefix}/include/GL
cp include/GL/glu_mangle.h $RPM_BUILD_ROOT%{prefix}/include/GL
%endif
%if %{build_glut}
cp include/GL/glut.h $RPM_BUILD_ROOT%{prefix}/include/GL
cp include/GL/glutf90.h $RPM_BUILD_ROOT%{prefix}/include/GL
%endif

%if %{provide_conf}
install glx-xf4/Mesa-3.2.1/src/mesa.conf $RPM_BUILD_ROOT%{_sysconfdir}/X11
%endif

mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
for i in arbfplight arbocclude bounce clearspd cubemap drawpix fire fplight \
gamma gears geartrain glinfo gloss gltestperf glutfx ipers isosurf lodbias \
morph3d multiarb occlude osdemo paltex pixeltex pointblast ray \
readpix reflect renormal shadowtex spectex spriteblast stex3d teapot \
terrain tessdemo texcyl texdown texenv texobj trispd tunnel tunnel2 winpos; do
%if %{sysmesa}
  cp -v progs/demos/$i $RPM_BUILD_ROOT%{prefix}/bin/$i
%else
  cp -v progs/demos/$i $RPM_BUILD_ROOT%{prefix}/bin/$i"%{mesa_ver}"
%endif
done

# (fg) So that demos at least work :)
%if %{sysmesa}
cp -v progs/images/*rgb progs/demos/{isosurf,terrain,geartrain}.dat $RPM_BUILD_ROOT%{libdir}/mesa-demos-data
%else
cp -v progs/images/*rgb progs/demos/{isosurf,terrain,geartrain}.dat $RPM_BUILD_ROOT%{libdir}/mesa-demos-data%{mesa_ver}
%endif

# menu for demos
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
%if %{sysmesa}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/Mesa-demos
?package(Mesa-demos):command="%{prefix}/bin/gears" \
                     icon="mesa-demos-gears.png" \
                     needs="x11" \
                     section="Amusement/Toys" \
                     title="Mesa gears" \
                     longtitle="Gears 3D demonstration from Mesa 3D"

?package(Mesa-demos):command="%{prefix}/bin/reflect" \
                     icon="mesa-demos-reflect.png" \
                     needs="x11" \
                     section="Amusement/Toys" \
                     title="Mesa reflect" \
                     longtitle="Reflect 3D demonstration from Mesa 3D"

?package(Mesa-demos):command="%{prefix}/bin/morph3d" \
                     icon="mesa-demos-morph3d.png" \
                     needs="x11" \
                     section="Amusement/Toys" \
                     title="Mesa morph" \
                     longtitle="Morph 3D demonstration from Mesa 3D"
EOF
%else
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/Mesa6-demos
?package(Mesa6-demos):command="%{prefix}/bin/gears6" \
                     icon="mesa6-demos-gears.png" \
                     needs="x11" \
                     section="Amusement/Toys" \
                     title="Mesa6 gears" \
                     longtitle="Gears 3D demonstration from Mesa 3D"

?package(Mesa6-demos):command="%{prefix}/bin/reflect6" \
                     icon="mesa6-demos-reflect.png" \
                     needs="x11" \
                     section="Amusement/Toys" \
                     title="Mesa6 reflect" \
                     longtitle="Reflect 3D demonstration from Mesa 3D"

?package(Mesa6-demos):command="%{prefix}/bin/morph3d6" \
                     icon="mesa6-demos-morph3d.png" \
                     needs="x11" \
                     section="Amusement/Toys" \
                     title="Mesa6 morph" \
                     longtitle="Morph 3D demonstration from Mesa 3D"
EOF
%endif
# icons for three demos examples [we lack a frontend
# to launch the demos obviously]
install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
tar jxvf %{SOURCE4} -C $RPM_BUILD_ROOT%{_iconsdir}

%if !%{utah_glx} 
echo 'Skipping utah_glx'
%else
mkdir -p $RPM_BUILD_ROOT/usr/bin
%if %{sysmesa}
cat > $RPM_BUILD_ROOT/usr/bin/glx <<EOF
#!/bin/sh
LD_PRELOAD=%{libdir}/libGL.so.1.0 "\$@"
EOF
chmod +x $RPM_BUILD_ROOT/usr/bin/glx
cat > $RPM_BUILD_ROOT/usr/bin/noglx <<EOF
#!/bin/sh
LD_PRELOAD=%{libdir}/libGL.so.%{mesa_so_version} "\$@"
EOF
chmod +x $RPM_BUILD_ROOT/usr/bin/noglx
%else
cat > $RPM_BUILD_ROOT/usr/bin/glx%{mesa_ver} <<EOF
#!/bin/sh
LD_PRELOAD=%{libdir}/libGL.so.1.0 "\$@"
EOF
chmod +x $RPM_BUILD_ROOT/usr/bin/glx%{mesa_ver}
cat > $RPM_BUILD_ROOT/usr/bin/noglx%{mesa_ver} <<EOF
#!/bin/sh
LD_PRELOAD=%{libdir}/libGL.so.%{mesa_so_version} "\$@"
EOF
chmod +x $RPM_BUILD_ROOT/usr/bin/noglx%{mesa_ver}
%endif
## glx
cd glx-xf4
#beware of installing the minimun as Mesa version are not the same!
make DESTDIR=$RPM_BUILD_ROOT sysconfdir=/etc/X11 SUBDIRS="libGL servGL" install
cd ..
%endif # glx 

# (sb) why don't we package any of this?
# remove any regerence to unpackaged file.
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/gl.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/glext.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/gl_mangle.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/osmesa.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/svgamesa.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/glx.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/glx_mangle.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/xmesa.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/xmesa_x.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/xmesa_xf86.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/glxext.h

# (sb) some more in 6.0.1
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/amesa.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/dmesa.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/fxmesa.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/ggimesa.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/internal/glcore.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/mesa_wgl.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/mglmesa.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/uglglutshapes.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/uglmesa.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/vms_x_fix.h
rm -f $RPM_BUILD_ROOT%{prefix}/include/GL/wmesa.h

# (sb) and some more...
rm -f $RPM_BUILD_ROOT%{libdir}/libGL.so
rm -f $RPM_BUILD_ROOT%{libdir}/libGL.so.1
rm -f $RPM_BUILD_ROOT%{libdir}/libGLw.so
rm -f $RPM_BUILD_ROOT%{libdir}/libOSMesa.so

%if !%{build_glu}
rm -f $RPM_BUILD_ROOT%{libdir}/libGLU.so*
%endif

%if !%{build_glut}
rm -f $RPM_BUILD_ROOT%{libdir}/libglut.so*
%endif

# (sb) rpmlint
chrpath -d $RPM_BUILD_ROOT%{prefix}/bin/[a-z]*
chrpath -d $RPM_BUILD_ROOT%{libdir}/lib*

%clean
rm -fr $RPM_BUILD_ROOT

%post -n %{libglname} -p /sbin/ldconfig

%postun -n %{libglname} -p /sbin/ldconfig

%if %{build_glu}
%post -n %{libgluname} -p /sbin/ldconfig 

%postun -n %{libgluname} -p /sbin/ldconfig
%endif

%if %{build_glut}
%post -n %{libglutname} -p /sbin/ldconfig 

%postun -n %{libglutname} -p /sbin/ldconfig
%endif

%post demos
%{update_menus}

%postun demos
%{clean_menus}

%files
%defattr(-,root,root)
%doc docs/COPYING docs/README.*
%doc docs/RELNOTES-{3,4,5,6}* docs/VERSIONS
%doc glx-xf4/docs/README.* glx-xf4/docs/overview.txt
%if %{utah_glx}
%if %{sysmesa}
/usr/bin/glx
/usr/bin/noglx
%else
/usr/bin/glx%{mesa_ver}
/usr/bin/noglx%{mesa_ver}
%endif
%config(noreplace) /etc/X11/glx.conf
%endif
%if %{provide_conf}
%config(noreplace) /etc/X11/mesa.conf
%endif

%files -n %{libglname}
%defattr(-,root,root)
%doc docs/README.X11 docs/COPYING
%doc glx-xf4/docs/README.*
%exclude %{libdir}/libGL.so.1
%{libdir}/libGL.so.1.*
%exclude %{libdir}/libGLw.so.1
%{libdir}/libGLw.so.1*
%{libdir}/libOSMesa.so.6*
%if %{utah_glx}
%{libdir}/modules/*
%endif

%if %{build_glu}
%files -n %{libgluname}
%defattr(-,root,root)
%doc docs/README.X11 docs/COPYING
%{libdir}/libGLU.so.*

%files -n %{libgluname}-devel
%defattr(-,root,root)
%doc docs/README.X11 docs/COPYING
%{prefix}/include/GL/glu.h
%{prefix}/include/GL/glu_mangle.h
%{libdir}/libGLU.so
%endif

%if %{build_glut}
%files -n %{libglutname}
%defattr(-,root,root)
%doc docs/README.X11 docs/COPYING
%{libdir}/libglut.so.*

%files -n %{libglutname}-devel
%defattr(-,root,root)
%doc docs/README.X11 docs/COPYING
%{prefix}/include/GL/glut.h
%{prefix}/include/GL/glutf90.h
%{libdir}/libglut.so
%endif

%files demos
%defattr(-,root,root)
%doc docs/README.X11 docs/COPYING
%{prefix}/bin/*
%if %{sysmesa}
%dir %{libdir}/mesa-demos-data
%{libdir}/mesa-demos-data/*
%{_menudir}/Mesa-demos
%else
%dir %{libdir}/mesa-demos-data%{mesa_ver}
%{libdir}/mesa-demos-data%{mesa_ver}/*
%{_menudir}/Mesa%{mesa_ver}-demos
%endif
%{_miconsdir}/*demos*.png
%{_iconsdir}/*demos*.png
%{_liconsdir}/*demos*.png

%changelog
* Fri Aug 20 2004 Svetoslav Slavtchev <svetljo@gmx.de> 6.1-1mdk
- Mesa-6.1 final

* Tue Jun 22 2004 Svetoslav Slavtchev <svetljo@gmx.de> 6.1-0.1mdk
- Mesa-6.1 extract from the Xorg tree

* Wed Jun 16 2004 Stew Benedict <sbenedict@mandrakesoft.com> 6.0.1-3mdk
- fix to co-exist with Mesa5, drop GLwrapper
- patch for gcc-3.4.1 (patch16)
- drop libGLw.so.1 to co-exist with libxorg-x11
- drop perl-Gtk2 Mesa-demos (move to my webspace)

* Thu May 13 2004 Stew Benedict <sbenedict@mandrakesoft.com> 6.0.1-2mdk
- get rid of rpaths

* Tue May 11 2004 Stew Benedict <sbenedict@mandrakesoft.com> 6.0.1-1mdk
- 6.0.1, disable GLwrapper for the moment
- add Mesa-demos menu to run demos (requires drakxtools)

* Mon Dec 08 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 5.0.2-2mdk
- provide MesaGLU-devel (closes #6297)

* Fri Oct 10 2003 Franois Pons <fpons@mandrakesoft.com> 5.0.2-1mdk
- updated with glx-xf4 (Utah-GLX for XFree86 4.2 and above).
- updated with GLwrapper 0.2.0 which can choose differrent libGL.so
  according to server GLX vendor.
- 5.0.2.

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 5.0.1-5mdk
- Rebuild

* Thu Jun 12 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 5.0.1-4mdk
- rebuild for gcc-3.3

* Sat May 24 2003 Stefan van der Eijk <stefan@eijk.nu> 5.0.1-3mdk
- rebuild for new deps
- sort out BuildRequires (binutils and libstdc++-devel are redundant)

* Fri Apr  4 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 5.0.1-2mdk
- hail fpons, file-4.01 was broken, gwegwe said that it had a bad
  behaviour, need to rebuild to have the libraries provides back
- fix fponsux in major version of Mesaglut

* Thu Apr 03 2003 Franois Pons <fpons@mandrakesoft.com> 5.0.1-1mdk
- 5.0.1.

* Thu Jan 09 2003 Franois Pons <fpons@mandrakesoft.com> 5.0-3mdk
- added patch from Franscisco Javier Felix.
- updated GLwrapper to prefer /usr/lib/libGL.so.1 (for NVidia GLX support)

* Tue Nov 19 2002 Franois Pons <fpons@mandrakesoft.com> 5.0-2mdk
- fixed Summary and Description (OpenGL 1.4).
- newer GLwrapper with cosmetic changes and patch6 inside it.

* Mon Nov 18 2002 Franois Pons <fpons@mandrakesoft.com> 5.0-1mdk
- 5.0 releasing OpenGL 1.4 interface.
- removed files installed but not packaged.
- added libstdc++-devel >= 3.2 for BuildRequires.

* Sun Aug  4 2002 Stefan van der Eijk <stefan@eijk.nu> 4.0.3-6mdk
- Removed unneeded BuildRequires

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.3-5mdk
- Automated rebuild with gcc3.2

* Thu Jul 25 2002 Franois Pons <fpons@mandrakesoft.com> 4.0.3-4mdk
- make sure NDEBUG is defined for GLU.

* Mon Jul 15 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.3-3mdk
- Rpmlint fixes: configure-without-libdir-spec
- Use system libtool.m4 when regenerating configure script. Then,
  apply Patch1 (remove-rpath) to generated configure script.
- Don't care about {html,ps,pdf} docs in glx subdir. Anyway, text doc
  is not even generated. Aka. Nuke useless BuildRequires: tetex-dvips,
  ghostscript.

* Mon Jul 01 2002 Franois Pons <fpons@mandrakesoft.com> 4.0.3-2mdk
- fixed so version to 1.3.403 instead of 1.3.402.

* Wed Jun 26 2002 Franois Pons <fpons@mandrakesoft.com> 4.0.3-1mdk
- removed patch12 (no more needed, GGI configuration file location).
- 4.0.3.

* Wed May 15 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.2-5mdk
- Update Patch5 to link with libgcc_s which contains _Unwind_GetIP

* Wed May  8 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.2-4mdk
- Use %%make
- Patch5: Mesa contains C++ code from libnurbs/internals. So, do link
  libGLU with libsupc++. This also kills the CCLD hack to build demos

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.2-3mdk
- Automated rebuild in gcc3.1 environment

* Tue Apr 30 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.0.2-2mdk
- Fix build with gcc-3.1. Define CCLD to the C++ linker when building
  the demos, since libGLU contains C++ code.

* Fri Apr 05 2002 Franois Pons <fpons@mandrakesoft.com> 4.0.2-1mdk
- 4.0.2.

* Thu Jan 31 2002 Franois Pons <fpons@mandrakesoft.com> 4.0.1-4mdk
- fixed build requires for autoconf2.5.
- added missing doc files.

* Wed Jan 30 2002 Franois Pons <fpons@mandrakesoft.com> 4.0.1-3mdk
- removed libGL.so.1.3 as GLwrapper use it thinking it is a good
  acceleration (whatever point the link).

* Wed Jan 23 2002 Franois Pons <fpons@mandrakesoft.com> 4.0.1-2mdk
- fixed GLwrapper to use the right libGL Mesa library.
- using .png icon files.
- added libGL.so.1.3.

* Tue Jan 22 2002 Franois Pons <fpons@mandrakesoft.com> 4.0.1-1mdk
- 4.0.1.

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 4.0-3mdk
- BuildRequires

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 4.0-2mdk
- GL library is now 1.3 instead of 1.2 (thanks to Oden Eriksson).
- updated GLwrapper with 0.1.6.

* Wed Nov 07 2001 Franois Pons <fpons@mandrakesoft.com> 4.0-1mdk
- 4.0.

* Tue Oct 23 2001 Franois Pons <fpons@mandrakesoft.com> 3.5-2mdk
- fix libglut3.so.* still in libMesaGLU1.

* Wed Oct 17 2001 Franois Pons <fpons@mandrakesoft.com> 3.5-1mdk
- synced with hackMesa-3.5 rpm.
- remove old compability symlinks.
- try to fix libtool use.
- split package with better naming.
- updated GLwrapper with 0.1.5.
- disabled SSE (some apps gets SIGFPE on probe).
- 3.5.

* Mon Jul 23 2001 Stefan van der Eijk <stefan@eijk.nu> 3.4.2-2mdk
- BuildRequires:		tcl XFree86-devel

* Fri May 18 2001 Franois Pons <fpons@mandrakesoft.com> 3.4.2-1mdk
- updated to 3.4.2.

* Tue Mar 27 2001 Franois Pons <fpons@mandrakesoft.com> 3.4.1-4mdk
- Fixed patch to restore GLU 1.2.
- Fixed reference to obsolete y option of tar to j.

* Sun Mar 18 2001 David BAUDENS <baudens@mandrakesoft.com> 3.4.1-3mdk
- Build with gcc on PPC

* Thu Mar 15 2001 Francis Galiegue <fg@mandrakesoft.com> 3.4.1-2mdk
- Skip utah_glx for ia64

* Thu Feb 15 2001 Franois Pons <fpons@mandrakesoft.com> 3.4.1-1mdk
- 3.4.1 and remove GLUtesselator patch.

* Wed Jan 24 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.4-8mdk
- patched mach64dmainit.c from CVS. Now /tmp/glx* is
  safely cleaned for mach64 on X exits.

* Tue Jan 02 2001 Franois Pons <fpons@mandrakesoft.com> 3.4-7mdk
- updated GLwrapper with 0.1.4.

* Sat Dec 31 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.4-6mdk
- added patch for real optimization with RPM_OPT_FLAGS.
- added glXGetProcAddressARB workaround for playing with Tuxracer :-)
- added a soft link to fixed a name typo with common_x86asm.S names
  (for --enable-x86).

* Fri Dec 22 2000 Franois Pons <fpons@mandrakesoft.com> 3.4-5mdk
- updated glx with 20001222 cvs snapshot (s3savage modification).
- moved mesa.conf to /etc/X11 and make sure Mesa take care of it, ugly.

* Tue Dec 05 2000 Franois Pons <fpons@mandrakesoft.com> 3.4-4mdk
- updated glx with 20001205 cvs snapshot (s3savage modification).
- created patch for s3savage compilation (just change include dep).

* Sun Nov 26 2000 David BAUDENS <baudens@mandrakesoft.com> 3.4-3mdk
- Fix build on PPC (again): use egcs to don't have a wonderful "Internal
  compilator error" with gcc-2.96

* Tue Nov 07 2000 Franois Pons <fpons@mandrakesoft.com> 3.4-2mdk
- fixed missing requires on Mesa-common for Mesa-common-devel.
- fixed Copyright (LGPL => MIT).
- updated glx with 20001107 cvs snapshot (version 0.10).
- build with glibc 2.1.97.

* Mon Nov 06 2000 Franois Pons <fpons@mandrakesoft.com> 3.4-1mdk
- 3.4.

* Thu Oct 19 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-16mdk
- updated glx to 20001017.
- build release for glibc-2.1.95.

* Mon Oct 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.3-15mdk
- Fix gcc2.96 compilation.

* Fri Sep 29 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-14mdk
- fixed menu entrie for morph.

* Tue Sep 26 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-13mdk
- update glx to 20000926 as a lot of change on S3Savage driver has occurs and
  this driver is marked as experimental (at least get latest version as there
  are no more change for some days).

* Sat Sep 09 2000 David BAUDENS <baudens@mandrakesoft.com> 3.3-12mdk
- Fix build for PPC (i.e. remove Patch #1, it's included in sources now)

* Sun Sep 03 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-11mdk
- added libMesaGL.so.3 symlink.
- added missing icons.
- moved menu file inside spec file.

* Mon Aug 28 2000 David BAUDENS <baudens@mandrakesoft.com> 3.3-10mdk
- Fix menu entries

* Fri Aug 25 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-9mdk
- really change to glx 20000825, removed obsolete gart_ver.
- rebuild glx-rename patch for new glx.

* Fri Aug 25 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-8mdk
- updated to GLwrapper 0.1.3 to select support of Mesa extension,
  enable OSMesa and disable XMesa (it breaks hardware acceleration of DRI).
- updated glx to 20000825.
- changed symlink libMesaGL* to true Mesa libraries (avoid wrapper).
- enabled previously disabled agp support for glx.

* Fri Aug 18 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-7mdk
- updated GLwrapper to 0.1.2, added some missing X Mesa functions.
- removed Mesa-devel as now provided by XFree86-devel.
- removed SVGA support, as Mesa-devel has gone.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-6mdk
- created patch to restore GLUtesselator as needed by some program.
- updated libGLU version to 1.2.
- added GLwrapper README in doc.

* Mon Jul 31 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-5mdk
- added /usr/include/GL into Mesa-devel.
- added missing glext.h into %{prefix}/include/GL.
- some macroszifications.

* Thu Jul 27 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-4mdk
- updated GLwrapper to 0.1.1.
- now work with DRI in accelerated.
- removed glide support as it is enabled in XFree 4.0.1.

* Wed Jul 26 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-3mdk
- created GLwrapper to get a true GL API.
- removed conflict with XFree86 version greater than 4.

* Mon Jul 24 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-2mdk
- created patch to rename glx.so to glx-3.so as warnings are dumped else.

* Mon Jul 24 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-1mdk
- 3.3.
- update glx to CVS version of 2000/07/24.
- moved module glx.so to glx-3.so.
- using Mesa-3.2.1 for glx.

* Thu Jun 28 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-4mdk
- added conflicts with XFree86 >= 4.0.

* Sat Jun 17 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-3mdk
- disabled ggi in ./configure.
- added option to compile with Voodoo glide support.

* Tue Jun 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.2-2mdk
- fix: remove need on libggi and libgii

* Sat Jun 10 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-1mdk
- updated to version 3.2.
- glx updated to version 2000611.
- disabled MTRR for i386/i486.
- moved glx script to /usr/bin.
- added --disable-glut and --disable-GLU in glx building as the
  respective libraries are already built in the main Mesa tree.

* Tue May 16 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.1-16mdk
- fix fix for i486 to allow compilation on other archs !

* Sun May 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1-15mdk
- Fix build for i486
- Clean after build
- Fix some typos

* Sun May  7 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-14mdk
- added more compatibility links to Mesa for Fermigier

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-13mdk
- really fixed hardcoded path

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-12mdk
- added 32x32 icons, fixed hardcoded path in menu entries

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-11mdk
- added symlinks to libMesaGL and libMesaGLU for compatibility
  with older applications

* Wed Apr 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1-10mdk
- fixed group for Mesa-demos
- added menu entries for best demos
- fixed ftp, added url
- added documentation
- patched ltconfig to remove binary-or-shlib-defines-rpath

* Mon Apr  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.1-9mdk
- split glut and GLU in common and common-devel packages to ease
  the upgrade to XFree86 4.0.

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 3.1-8mdk
- Added patch for PPC arch
- Included PPC in GLX skip
- Added ifarch 

* Fri Jan 28 2000 Francis Galiegue <francis@mandrakesoft.com>
- Added .so symlinks in -devel

* Mon Jan 17 2000 Francis Galiegue <francis@mandrakesoft.com>
- Made demos fully functional

* Mon Jan 17 2000 Francis Galiegue <francis@mandrakesoft.com>
- Also skip svgalib for sparcs

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.1-4mdk
- Make sure to get the right link.

* Tue Jan 11 2000 Pixel <pixel@mandrakesoft.com>
- fix build for non-svgalib architectures

* Mon Dec 20 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- id k6 chipset as i586 for glx

* Tue Dec 14 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Mesa 3.1 final.
- rewrite files

* Sat Dec 11 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
-  Really fix alpha build (no glx for you)
- and use _tmppath in Buildroot

* Tue Dec 07 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Fix alpha build (i think)
- Clean up .spec (scared chmou, big wuss) ;)
- make cheesie 'glx' script to LD_PRELOAD the libGL.so.1.0 for the demos

* Fri Nov 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Update cvs snaps
- Use new --with-chipset=both for glx
- (this is not backwards compatible, you must recompile) don't blame me ask the Mesa people
- use the right --target (must say they did a damned fine job of optimizing the code

* Tue Nov 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add arch's, defattr
- integrate glx (mga_gxl.so, tnt_glx.so)

* Mon Oct 11 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Back to old Mesa lib.

* Fri Jul 16 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- remove the -ffast-math removal stuff - Mesa 3.1 works with -ffast-math
  and is actually 11.7% faster than without it.

* Fri Jul 16 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 3.1beta2

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build in the new environement (rel: 3mdk).

* Thu May 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- ldconfig to %post and %postun.

* Mon Feb 15 1999 Bernhard Rosenkraenzer <bero@microsoft.sucks.eu.org>
- initial RPM; changes to base:
- Handle RPM_OPT_FLAGS
- link with pthread library
